﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _780932_RadCalendar
{
    /// <summary>
    /// Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class UserControl1 : UserControl
    {
		string[] xamlFiles = { "/System.Windows.xaml",
                               "/Telerik.Windows.Controls.xaml",
                               "/Telerik.Windows.Controls.Input.xaml",
                               "/Telerik.Windows.Controls.Navigation.xaml",
                               "/Telerik.Windows.Controls.Docking.xaml",
                               "/Telerik.Windows.Controls.RibbonView.xaml",
                               "/Telerik.Windows.Controls.GridView.xaml",
                               "/Telerik.Windows.Controls.Chart.xaml",
							 };


        public UserControl1()
        {
            InitializeComponent();
			LoadResourceDictionaries("Office2013");
        }

		private void LoadResourceDictionaries(string theme)
		{

			foreach (var file in xamlFiles)
			{
				string a = string.Format(@"/Telerik.Windows.Themes.{0};component/Themes" + file, theme);
				Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
				{
					Source = new Uri(a, UriKind.RelativeOrAbsolute)
				});
			}
		}
    }
}
